## org.gnu.pango
Class AttrList

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.Boxed
              org.gnu.pango.AttrList

public class AttrList
extends Boxed

The PangoAttrList structure represents a list of attributes that apply to a section of text. The attributes are, in general, allowed to overlap in an arbitrary fashion, however, if the attributes are manipulated only through pango_attr_list_change(), the overlap between properties will meet stricter criteria.

Since the PangoAttrList structure is stored as a linear list, it is not suitable for storing attributes for large amounts of text. In general, you should not use a single PangoAttrList for more than one paragraph of text.

Constructor Summary
`AttrList()` Construct a new AttrList.
`AttrList(AttrList list)` Create a new AttrList that is a copyof the provided list.
`AttrList(org.gnu.glib.Handle handle)`

Method Summary
`void` `change(Attribute attr)` Insert the given attribute into the list.
`static AttrList` `getAttrListFromHandle(org.gnu.glib.Handle handle)` Static factory method that should only be used interally by Java-Gnome.
`AttrIterator` `getIterator()` Create an iterator pointing at the beginning of the list.
`void` `insert(Attribute attr)` Insert the given attribute into the list.
`void` `insertBefore(Attribute attr)` Insert the given attribute into the list.
`void` `splice(AttrList other, int pos, int len)` Splice on list into another.

Methods inherited from class org.gnu.glib.Boxed
`equals, getBoxedFromHandle, hashCode`

Methods inherited from class org.gnu.glib.Struct
`getHandle, getNullHandle`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttrList

    public AttrList(AttrList list)

  Create a new AttrList that is a copyof the provided list.

Parameters:
  `list` -

### AttrList

    public AttrList(org.gnu.glib.Handle handle)

### AttrList

    public AttrList()

  Construct a new AttrList.

Method Detail

### getAttrListFromHandle

    public static AttrList getAttrListFromHandle(org.gnu.glib.Handle handle)

  Static factory method that should only be used interally by Java-Gnome.

### insert

    public void insert(Attribute attr)

  Insert the given attribute into the list. It will be inserted after all other attributes with a matching start_index.

### insertBefore

    public void insertBefore(Attribute attr)

  Insert the given attribute into the list. It will be inserted before all other attributes with a matching start_index.

### change

    public void change(Attribute attr)

  Insert the given attribute into the list. It will replace any attribute of the same type on that segment and be merged with any adjoining attributes that are identical.

### splice

    public void splice(AttrList other,
                       int pos,
                       int len)

  Splice on list into another.

  Parameters:
    `other` - The other AttrList to splice in the current one.
    `pos` - The position at which to insert.
    `len` - The length of the spliced segment.

### getIterator

    public AttrIterator getIterator()

  Create an iterator pointing at the beginning of the list.